Bug 107677 - [bisected][bxt skl kbl cfl glk] piglit intel_shader_atomic_float_minmax.execution.ssbo-atomic* failures on 32bit mesa
Summary: [bisected][bxt skl kbl cfl glk] piglit intel_shader_atomic_float_minmax.execu...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-24 16:05 UTC by Clayton Craft
Modified: 2019-09-11 14:02 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clayton Craft 2018-08-24 16:05:21 UTC
The following piglit tests are failing for BXT, SKL, KBL, CFL, and GLK platforms when running 32bit mesa:

piglit.spec.intel_shader_atomic_float_minmax.execution.ssbo-atomiccompswap-float-negative-zero
piglit.spec.intel_shader_atomic_float_minmax.execution.ssbo-atomicmin-float-nan 
piglit.spec.intel_shader_atomic_float_minmax.execution.ssbo-atomicmax-float-nan

It has been bisected to this commit:

commit c7c0b391ef43254f34723e8741370d8ae7048078
Author: Ian Romanick <ian.d.romanick@intel.com>
Date:   Wed Apr 18 14:08:48 2018 -0700

    i965: Enable INTEL_shader_atomic_float_minmax on Gen9+

    Signed-off-by: Ian Romanick <ian.d.romanick@intel.com>
    Reviewed-by: Caio Marcelo de Oliveira Filho <caio.oliveira@intel.com>
Comment 1 Ian Romanick 2018-08-25 02:47:27 UTC
So... only those three tests fail, and they only fail on 32-bit?  I'll try to reproduce that locally.  Weird.
Comment 2 Yevhenii 2019-08-09 11:54:52 UTC
It seems like it was shader_runner parser's fault. For some reason sscanf can't properly parse hexadecimal values of -0.0 and NaN on 32 bit. Should be fixed with this MR:

https://gitlab.freedesktop.org/mesa/piglit/merge_requests/109
Comment 3 Yevhenii 2019-09-11 14:02:22 UTC
MR109 has been merged.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.